#include <iostream>
#include <string>
using namespace std;
int main() {
  string c1,c2,c,c3="";
  int a1,a2;
  getline(cin,c);
  c1=c.substr(0,1);
  c2=c.substr(1,1);
  cin>>a1>>a2;
  if(a1==a2||a1+1==a2){
  for(int i=0;i<a1+a2;i++){
      if(i%2==0){
        c3+=c2;
      }
      else{
        c3+=c1;
      }
    }
  }
  else if(a1==a2+1){
  for(int i=0;i<a1+a2;i++){
      if(i%2==0){
        c3+=c1;
      }
      else{
        c3+=c2;
        }
      }
    }
else{
  c3="nemoguce";
} 
cout<<c3;
}